TERMINAL(1)

NAME
Terminal - Un émulateur de terminal pour X

SYNOPSIS

Terminal [OPTION...]

DESCRIPTION

Terminal est ce que l'on appelle un émulateur de terminal X, souvent appelé terminal ou shell. Il est l'équivalent de la ligne de commande de l'ordinateur mais dans une fenêtre de l'interface graphique. Les utilisateurs de Windows connaissent peut-être déjà la ligne de commande MS-DOS qui permet d'utiliser presque toutes les commandes du système d'exploitation DOS de Microsoft. La ligne de commande UNIX est beaucoup plus puissante et facile à utiliser que celle du DOS.

Terminal émule l'application xterm développée par le X Consortium. À son tour, l'application xterm émule le terminal DEC VT102 ainsi que les séquences d'échappement du DEC VT220. Une séquence d'échappement est une série de caractères commençant par Esc. Terminal accepte et comprend toutes les formes de séquences d'échappement des terminaux VT102 et VT220, comme celles servant à positionner le curseur ou à effacer l'écran.

OPTIONS

  Résumé des options

Voici un résumé de toutes les options, regroupées par type. Les explications se trouvent dans les sections suivantes.

Préférences générales
    -h, --help; -V, --version; --disable-server; --default-display=écran; --default-working-directory=répertoire

Séparateurs de fenêtres ou d'onglets
    --tab; --window

Options des onglets
    -x, --execute; -e, --command=command; --working-directory=répertoire; -T, --title=titre; -H, --hold

Options des fenêtres
    --display=écran; --geometry=géométrie; --role=rôle; --startup-id=chaîne de caractère; -I, --icon=icône; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbars, --hide-toolbars

  Préférences générales

-h, --help
    Affiche les différentes options pour la ligne de commande supportées par Terminal et quitte

-V, --version
    Affiche la version et quitte

--disable-server
    Ne pas utiliser le service D-BUS

--default-display=écran
    Serveur X par défaut à utiliser.

--default-working-directory=répertoire
    Détermine le répertoire comment le répertoire de travail par défaut du terminal

  Séparateurs de fenêtres ou d'onglets

--tab
    Ouvre un nouvel onglet dans la dernière fenêtre; cette option peut être spécifiée plus d'une fois.

--window
    Ouvre une nouvelle fenêtre avec un onglet; cette option peut être spécifiée plus d'une fois.

  Options des onglets

-x, --execute
    Exécute le reste de la ligne de commande dans le terminal

-e, --command=command
    Exécute commande dans le terminal

--working-directory=répertoire
    Détermine le répertoire de travail du terminal

-T, --title=titre
    Définit le titre du terminal

-H, --hold
    Ne ferme pas le terminal lorsque la commande exécutée se termine

  Options des fenêtres

--display=écran
    Affichage X à utiliser pour la dernière fenêtre.

--geometry=géométrie
    Définis la géométrie de la dernière fenêtre à géométrie. Consultez W(7) pour plus d'informations sur la manière de spécifier les géométries d'une fenêtre.

--role=rôle
    Spécifie le rôle de la dernière fenêtre à rôle. S'applique seulement à une fenêtre et peut être appliquée à chaque fenêtre que vous créez depuis la ligne de commande. C'est principalement utilisé en interne pour la gestion d'une session dans Terminal.

--startup-id=chaîne de caractère
    Spécifie l'ID de notification de démarrage pour la dernière fenêtre. Est utilisé en interne lorsque le service D-BUS est utilisé, pour faire suivre l'ID de notification de démarrage.

-I, --icon=icône
    Définis l'icône du terminak comme le nom d'une icône ou d'un fichier.

--fullscreen
    Passe la dernière fenêtre en mode plein écran. S'applique uniquement à une fenêtre et peut être appliquée à chaque fenêtre que vous créez depuis la ligne de commande.

--maximize
    Passe la dernière fenêtre spécifiée en mode maximisé. S'applique uniquement à une fenêtre et peut être appliquée à chaque fenêtre que vous créez depuis la ligne de commande.

--show-menubar
    Affiche la barre de menu pour la dernière fenêtre. Peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

--hide-menubar
    Ne pas afficher la barre de menu pour la dernière fenêtre. Peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

--show-borders
    Affiche la décoration de la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

--hide-borders
    Cache la décoration de la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

--show-toolbars
    Affiche la barre d'outils pour la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

--hide-toolbars
    Cache la barre d'outils pour la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

EXEMPLES

Terminal --geometry 80x40 --command mutt --tab --command mc
    Ouvre une nouvelle fenêtre d'un terminal disposant d'une géométrie de 80 colonnes et 40 lignes et contenant deux onglets, le premier onglet démarrant mutt et le second onglet démarrant mc.

ENVIRONNEMENT

Terminal utilise les spécifications Basedir qui sont définies par Freedesktop.org[1] afin de localiser ses données et ses fichiers de configurations. Cela signifie que les chemins vers les fichiers seront spécifiés de manière relatives par rapport aux répertoires décrits dans les spécifications.

${XDG_CONFIG_HOME}
    Le premier répertoire de base utilisé pour trouver les fichiers de configurations. La valeur par défaut est ~/.config/.

${XDG_CONFIG_DIRS}
    Une liste de répertoires séparée par deux-points qui contiennent des données de configurations. Par défaut l'application regarde dans ${sysconfdir}/xdg/. La valeur de ${sysconfdir} dépend de l'installation de l'application et sera souvent /etc/ pour les paquets binaires.

${XDG_DATA_HOME}
    La racine pour les données spécifiques à chaque utilisateur. Par défaut cette variable est initialisée à ~/.local/share/.

${XDG_DATA_DIRS}
    Une liste de répertoires de base triée par ordre de préférence dans lesquels des fichiers seront recherchés en plus du répertoire de base ${XDG_DATA_HOME}. Ces répertoires doivent être séparés par des deux-points.

FICHIERS

${XDG_CONFIG_DIRS}/Terminal/terminalrc
    Le chemin vers le fichier de configuration qui inclut les préférences définissant l'aspect de l'interface graphique de Terminal.

${XDG_DATA_DIRS}/Terminal/Terminal-toolbars.ui
    Ce fichier inclut les définitions de l'interface utilisateur pour les barres d'outils. Si vous utilisez l'éditeur graphique pour personnaliser les barres d'outils, Terminal sauvegardera ces informations dans le fichier ${XDG_DATA_HOME}/Terminal/Terminal-toolbars.ui.

VOIR AUSSI

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Développeur

Benedikt Meurer <benny@xfce.org>
Développeur de logiciels, os-cillation, Développement système,
    Développeur

NOTES

1.  Freedesktop.org
    http://freedesktop.org/